<main>

  <div class="register-user-section container">

      <!-- login section header -->


      <div class="main-title">
          <h1>Modifier mon profil</h1>
      </div>

      <form [formGroup]="updateForm" (ngSubmit)="onSubmit()" class="register-user-form">
          <div class="row">
              <div class="col-md-6 col-xs-12">
                  <div class="form-group">
                      <label for="">Prénom</label>
                      <input type="text" name="firstname"  formControlName="firstname" required="required" placeholder="Prénom" class="form-control">
                  </div>
                  <div *ngIf="submitted && updateForm.controls.firstname.errors">
                    <p *ngIf="updateForm.controls.firstname.errors.required">Firstname Invalid</p>
                </div>
              </div>
              <div class="col-md-6 col-xs-12">
                  <div class="form-group">
                      <label for="">Nom</label>
                      <input type="text" name="lastname" formControlName="lastname" required="required" placeholder="Nom" class="form-control">
                  </div>
                  <div *ngIf="submitted && updateForm.controls.lastname.errors">
                    <p *ngIf="updateForm.controls.lastname.errors.required">Lastname Invalid</p>
                </div>
              </div>
              <div class="col-md-6 col-xs-12">
                <div class="form-group">
                    <label for="">Adresse</label>
                    <input type="text" name="address" formControlName="address" required="required" placeholder="Adresse" class="form-control">
                </div>
                <div *ngIf="submitted && updateForm.controls.address.errors">
                  <p *ngIf="updateForm.controls.address.errors.required">Address Invalid</p>
              </div>
            </div>
            <div class="col-md-6 col-xs-12">
                <div class="form-group">
                    <label for="">Numero</label>
                    <input type="text" name="number" formControlName="number" required="required" placeholder="Numero" class="form-control">
                </div>
                <div *ngIf="submitted && updateForm.controls.number.errors">
                  <p *ngIf="updateForm.controls.number.errors.required">Number Invalid</p>
              </div>
            </div>
              <div class="col-md-6 col-xs-12">
                  <div class="form-group">
                      <label for="">Nom d'utilisateur</label>
                      <input type="text" name="username" formControlName="username" required="required" maxlength="180" pattern=".{5,}" placeholder="Nom d'utilisateur" class="form-control" title="Au moins 5 caractéres">
                  </div>
                  <div *ngIf="submitted && updateForm.controls.username.errors">
                    <p *ngIf="updateForm.controls.username.errors.required">Username Invalid</p>
                </div>
              </div>
              <div class="col-md-6 col-xs-12">
                  <div class="form-group">
                      <label for="">Email</label>
                      <input type="email" name="email" formControlName="email" required="required" placeholder="Email" class="form-control">
                  </div>
                  <div *ngIf="submitted && updateForm.controls.email.errors">
                    <p *ngIf="updateForm.controls.email.errors.required">Enter an email</p>
                    <p *ngIf="updateForm.controls.email.errors.email">Bad format of email</p>                        
                </div>
              </div>
          </div>
          <button type="submit" class="btn btn-rounded btn-green">
              Modifier
          </button>
          <button routerLink="/dashboard" routerLinkActive="active" type="button" class="btn btn-rounded btn-blue">
            Annuler
        </button>
          <div *ngIf="submitted">
              <p>le formulaire est valide</p>
          </div>
      </form>

  </div>

</main>
